P4_MAKE_STR_SPACE(3)

NAME
p4_make_str_space - MAKE-$SPACE ( size #frames -- addr )

SYNOPSIS

#include <pfe/def-config.h>

FCode p4_make_str_space(---);

DESCRIPTION

Allocate and initialize a string space with size bytes available for the string buffer including the string stack, and with a string frame stack for frame description entries holding up to #frames. The size is rounded up to cell alignment, and the buffer begins and ends with cell alignment. Return addr, the address of the string space. The standard word FREE with addr as input can be used to release the space. "make-string-space"

AUTHOR

    • David N.Williams (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2001-2004, 2006, 2008 David N. Williams